﻿package  
{
	import flash.display.BitmapData;
	import flash.geom.Matrix;
	
	/**
	 * ...
	 * @author nicolas barradeau
	 */
	public class AnimatedStroke extends RichStroke
	{
		
		public function AnimatedStroke( bd:BitmapData = null ) 
		{
			super( bd );
		}
		
		
		/**
		 * animation 
		*/
		private var a:Number = 0;
		private var t:Number = 0;
		private var src:BitmapData;
		public function animate():void
		{
			if ( src == null ) src = bitmapData.clone();
			
			a += Math.PI / 180;
			t -= 5;
			if ( t <= -bitmapData.width ) t = bitmapData.width;
			
			bitmapData.fillRect( bitmapData.rect, 0x00000000 );
			bitmapData.draw( src, new Matrix( 1, 0, 0, 1, t, 0 ) );
		}
		
	}
	
}